Subject: Re: [PATCH v3 1/3] packed-backend: fsck should allow an empty "packed-refs" file

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 May 2025 10:18:34 -0700

Jeff King <[email-masked]> writes:

> It may be useful for fsck to detect this, though, even if the default
> message severity is set to "info" or even "ignore. That would allow
> people who know they are using modern Git to increase it themselves (I
> don't expect normal users to do this, but it would probably be useful
> for forges which run automated "fsck" across a lot of repos).
>
> And then the backwards-incompatible Git 3.0 thing would just be tweaking
> the severity of the config (and in the meantime, it would help flush out
> any unexpected instances people run into).

I came to make a same comment but the above has everything I wanted
to say (and more).